Unable to run debugger on Ruby 2.7.2, Rails 6.0.4.7 Project. 'debase' conflicts with 'debug'

Hello everyone,

I have been using PyCharm as my primary editor for Django projects for a while now. I recently joined another project that is based on Ruby on Rails. Everybody else in the team is using VS code, I wanted to use RubyMine because of my good experience with PyCharm.

Unfortunately I am having problems using RubyMine on this project. I am getting the following errors when I try to run the debugger:

Fast Debugger (ruby-debug-ide 2.3.8, debase 2.3.8, file filtering is supported, block breakpoints supported, smart steps supported, obtaining return values supported, partial obtaining of instance variables supported) listens on 0.0.0.0:33171
WARN: Unresolved or ambiguous specs during Gem::Specification.reset:
io-console (~> 0.5)
Available/installed versions of this gem:
- 0.5.11
- 0.5.6
WARN: Clearing out unresolved specs. Try 'gem cleanup <gem>'
Please report a bug if this causes problems.
FATAL ERROR: Looks like `debug` gem is loaded into the environment. This version of `debase` is unable to work together with `debug` gem. Please, remove it from the Gemfile before debugging in RubyMine.

 

I tried few things that I can think of. For example I tried to run the project on Ruby 2.7.6. This did not work because RubyMine still try to use the same version of the debase.

I tried to update debase to a newer version. First I uninstalled every single version of debase from the system. Then I installed a newer version of debase. I used following commands.

> gem uninstall debase
> gem uninstall debase-ruby_core_source
> gem install debase -v 0.2.4.1
> gem install debase-ruby_core_source

After this, when I tried to run the debugger on RubyMine, it complained that debase was missing. When I clicked to install the package, it still installed older version of debase, then I got the same error when I tried to run the debugger.

Do you guys have any suggestions for me about running the debugger on this project? I really do not want to start using VS code. I hope I can get RubyMine to work on this project.

 

 

 

 

2 comments
Comment actions Permalink

Here is my information:
Ubuntu 22.04 LTS 64bit
RubyMine 2022.1.3
Build #RM-221.5921.22, built on June 21, 2022
Runtime version: 11.0.15+10-b2043.56 amd64
VM: OpenJDK 64-Bit Server VM by JetBrains s.r.o.
Linux 5.15.0-41-generic
GC: G1 Young Generation, G1 Old Generation
Memory: 2048M
Cores: 8
Current Desktop: ubuntu:GNOME

Not sure why it says that the memory is 2048MB, i have 32GB installed on this system.

0
Comment actions Permalink

For the people that came here from Google:

I was able to figure this out on my own. Until now I have been assuming that the problem was with 'debase' package. As you can see all of my attempts for fixing this was about making changes to the 'debase' package.

Turns out all I had to do was remove the 'debug' package from the Gemfile. 

So if you ever hit a similar issue, try to remove 'debug' package from your configuration instead of trying to fix, upgrade, or change 'debase' package.

0

Please sign in to leave a comment.